Bug 114947 - acpiphp cannot hotplug cards with PCI bridges on them
acpiphp cannot hotplug cards with PCI bridges on them
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
ia64 Linux
medium Severity high
: ---
: ---
Assigned To: Prarit Bhargava
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-04 14:12 EST by Matthew Wilcox
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-23 11:54:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Wilcox 2004-02-04 14:12:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ia64; en-US; rv:1.6)
Gecko/20040122 Debian/1.6-1

Description of problem:
The acpiphp driver assumes that all PCI devices have 6 BARs.
Bridges have only 3 BARs and you don't program them the same
way as you program normal PCI devices.  This leads to all kinds
of strange bits of bridge configuration space being treated as
if they were BARs and much pain ensues.

Version-Release number of selected component (if applicable):
kernel-2.4.21-9.EL


How reproducible:
Always

Steps to Reproduce:
1. Boot an rx4640
2. Attempt to insert a quad-port tulip card into a slot
3.

Actual Results:  Machine crashes

Expected Results:  Card should have been inserted

Additional info:

I intend to work on this bug too, and this bug is mostly
for tracking purposes.
Comment 1 Jim Paradis 2004-06-28 16:40:03 EDT
Matthew - Any updates on this one too?
Comment 2 Red Hat Bugzilla 2007-03-18 18:17:30 EDT
User jparadis@redhat.com's account has been closed
Comment 4 Prarit Bhargava 2007-03-23 11:54:48 EDT
Closing as WONTFIX as RHEL3 series will only be taking critical fixes.

Note You need to log in before you can comment on or make changes to this bug.